=== debian/changelog ===
python-aiohttp (3.8.1-4build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:26:16 +0000

python-aiohttp (3.8.1-4) unstable; urgency=high

  * Team upload.
  * debian/control: Add versioned dependency (Closes: #1001642):
    + python3-async-timeout (>= 4.0.1)
  * debian/py3dist-overrides: Add "idna_ssl python3-idna-ssl" line
    to suppress build error raised by newer dh_python3.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Dec 2021 01:05:53 -0500

python-aiohttp (3.8.1-3) unstable; urgency=medium

  * Add python3-charset-normalizer to (Build-)Depends (closes: 1000848)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 30 Nov 2021 13:58:24 +0100

python-aiohttp (3.8.1-2) unstable; urgency=medium

  * New upstream release (closes: 1000680)
  * docs: temporarily remove news (sphinxcontrib.towncrier is not yet packaged)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 27 Nov 2021 17:20:40 +0100

python-aiohttp (3.7.4-2) unstable; urgency=medium

  * Team upload.

  [ Diego M. Rodriguez ]
  * d/control: add sphinx dependencies to doc package (Closes: #990652)

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-aiohttp-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.

  [ Boyuan Yang ]
  * debian/: Drop manual -dbg package. (Closes: #994345)
  * debian/control: Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Nov 2021 12:03:24 -0500
