=== debian/control ===
Source: python-aiohttp
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Tianon Gravi <admwiggin@gmail.com>,
           Paul Tagliamonte <paultag@debian.org>,
           Piotr Ożarowski <piotr@debian.org>,
           William Grzybowski <william@grzy.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev (>= 3.5.3~),
               python3-setuptools,
               python3-sphinx,
               python3-multidict,
               python3-async-timeout,
               python3-yarl (>= 1.0),
               cython3,
               python3-aiosignal,
# for tests:
               python3-pytest,
               python3-pytest-mock,
               python3-chardet,
               python3-charset-normalizer,
               python3-gunicorn,
# for documentation:
               python3-sphinxcontrib.blockdiag
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://aiohttp.readthedocs.org
Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiohttp.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiohttp
Testsuite: autopkgtest-pkg-python

Package: python3-aiohttp
Architecture: any
Depends: python3-yarl (>= 1.0), python3-async-timeout (>= 4.0.1), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
Recommends: libjs-jquery
Description: http client/server for asyncio
 HTTP Client for asyncio (PEP 3156 - Asynchronous I/O Support).
 .
 Features:
  * supports both client and server side of HTTP protocol,
  * supports both client and server Web-Sockets out-of-the-box,
  * web-server has middlewares and pluggable routing.

Package: python-aiohttp-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: documentation of python3-aiohttp
 HTTP Client for asyncio (PEP 3156 - Asynchronous I/O Support).
 .
 Features:
  * supports both client and server side of HTTP protocol,
  * supports both client and server Web-Sockets out-of-the-box,
  * web-server has middlewares and pluggable routing.
 .
 This package provides HTML documentation for aiohttp.
