## python-aiohttp 3.8.4

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	@python -m pip install --upgrade pip
 
 .install-cython: .update-pip $(call to-hash,requirements/cython.txt)
-	@pip install -r requirements/cython.txt -c requirements/constraints.txt
+	@python -m pip install -r requirements/cython.txt -c requirements/constraints.txt
 	@touch .install-cython
 
 aiohttp/_find_header.c: $(call to-hash,aiohttp/hdrs.py ./tools/gen.py)
@@ -74,7 +74,7 @@
 cythonize: .install-cython $(PYXS:.pyx=.c)
 
 .install-deps: .install-cython $(PYXS:.pyx=.c) $(call to-hash,$(CYS) $(REQS))
-	@pip install -r requirements/dev.txt -c requirements/constraints.txt
+	@python -m pip install -r requirements/dev.txt -c requirements/constraints.txt
 	@touch .install-deps
 
 .PHONY: lint
@@ -89,7 +89,7 @@
 	mypy
 
 .develop: .install-deps generate-llhttp $(call to-hash,$(PYS) $(CYS) $(CS))
-	pip install -e . -c requirements/constraints.txt
+	python -m pip install -e . -c requirements/constraints.txt
 	@touch .develop
 
 .PHONY: test
@@ -182,7 +182,7 @@
 
 .PHONY: install
 install: .update-pip
-	@pip install -r requirements/dev.txt -c requirements/constraints.txt
+	@python -m pip install -r requirements/dev.txt -c requirements/constraints.txt
 
 .PHONY: install-dev
 install-dev: .develop
