=== debian/changelog ===
python-aiohttp (3.8.4-1+deb12u1) bookworm-security; urgency=medium

  * CVE-2023-47627
  * CVE-2023-49081 (Closes: #1057163)
  * CVE-2023-49082 (Closes: #1057164)
  * CVE-2024-23334 (Closes: #1062709)
  * CVE-2024-30251 (Closes: #1070364)
  * CVE-2024-52304 (Closes: #1088109)

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 28 Nov 2024 20:38:32 +0100

python-aiohttp (3.8.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 16 Feb 2023 11:54:52 +0100

python-aiohttp (3.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 31 Oct 2022 09:58:46 +0100

python-aiohttp (3.8.1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-all-dev and
      python3-yarl.
    + python3-aiohttp: Drop versioned constraint on python3-yarl in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 11:57:30 +0100
