=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
            William Grzybowski <william@grzy.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all-dev (>= 3.5.3~),
+               python3-all-dev,
                python3-setuptools,
                python3-sphinx,
                python3-multidict,
                python3-async-timeout,
-               python3-yarl (>= 1.0),
+               python3-yarl,
                cython3,
                python3-aiosignal,
 # for tests:
@@ -25,7 +25,7 @@
 # for documentation:
                python3-sphinxcontrib.blockdiag
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://aiohttp.readthedocs.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiohttp.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiohttp
@@ -33,7 +33,7 @@
 
 Package: python3-aiohttp
 Architecture: any
-Depends: python3-yarl (>= 1.0), python3-async-timeout (>= 4.0.1), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
+Depends: python3-yarl, python3-async-timeout (>= 4.0.1), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
 Recommends: libjs-jquery
 Description: http client/server for asyncio
  HTTP Client for asyncio (PEP 3156 - Asynchronous I/O Support).
