=== debian/changelog ===
python-aiohttp (3.9.1-1ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: When 'follow_symlinks' is enabled, file paths
    are not properly validated, allowing unauthorized access to
    files on the system.
    - debian/patches/CVE-2024-23334.patch: Validate static paths.
    - CVE-2024-23334

 -- Chris Kim <chris.kim@canonical.com>  Wed, 21 Aug 2024 09:28:21 -0700

python-aiohttp (3.9.1-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:13:19 +0000

python-aiohttp (3.9.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.9.1
    - CVE-2023-49081 (aiohttp's ClientSession is vulnerable to CRLF
      injection via version) (Closes: #1057163)
    - CVE-2023-49082 (aiohttp's ClientSession is vulnerable to CRLF
      injection via method) (Closes: #1057164)
    - Fix ftbfs on python3.12 (Closes: #1056036)
  * Update debian/patches
  * Update debian/copyright
  * Clean built docs (Closes: #1047256)

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 13 Dec 2023 10:32:49 +0800

python-aiohttp (3.8.6-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 14 Oct 2023 13:12:38 +0200

python-aiohttp (3.8.5-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 20 Aug 2023 14:19:30 +0200
