=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-aiohttp
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Tianon Gravi <admwiggin@gmail.com>,
            Paul Tagliamonte <paultag@debian.org>,
            Piotr Ożarowski <piotr@debian.org>,
@@ -16,6 +17,9 @@
                python3-yarl,
                cython3,
                python3-aiosignal,
+               python3-aiodns,
+               python3-attr,
+               python3-frozenlist,
 # for tests:
                python3-pytest,
                python3-pytest-mock,
@@ -34,7 +38,7 @@
 Package: python3-aiohttp
 Architecture: any
 Depends: python3-yarl, python3-async-timeout (>= 4.0.1), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
-Recommends: libjs-jquery
+Recommends: libjs-jquery, python3-aiodns
 Description: http client/server for asyncio
  HTTP Client for asyncio (PEP 3156 - Asynchronous I/O Support).
  .
