## python-aiohttp 3.9.5

=== debian/changelog ===
python-aiohttp (3.9.5-1) unstable; urgency=medium

  * Team upload.
  * Use pybuild-plugin-pyproject.
  * New upstream release:
    - CVE-2024-23829: Python HTTP parser still overly lenient about
      separators (closes: #1062708).
    - CVE-2024-23334: aiohttp.web.static(follow_symlinks=True) is vulnerable
      to directory traversal (closes: #1062709).
    - CVE-2024-30251: DoS when trying to parse malformed POST requests
      (closes: #1070364).
    - CVE-2024-27306: XSS on index pages for static file handling (closes:
      #1070665).
  * Standards-Version: 3.7.0 (no changes required).

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 Jun 2024 12:39:52 +0100
