=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: python-aiohttp
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Tianon Gravi <admwiggin@gmail.com>,
            Paul Tagliamonte <paultag@debian.org>,
            Piotr Ożarowski <piotr@debian.org>,
            William Grzybowski <william@grzy.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-setuptools,
                python3-sphinx,
@@ -29,7 +29,7 @@
 # for documentation:
                python3-sphinxcontrib.blockdiag
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://aiohttp.readthedocs.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiohttp.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiohttp
