## python-aiohttp 3.10.1

=== debian/changelog ===
python-aiohttp (3.10.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 Aug 2024 15:14:44 +0100

python-aiohttp (3.10.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 04 Aug 2024 19:05:16 +0100
