=== debian/control ===
--- 
+++ 
@@ -17,9 +17,10 @@
                python3-yarl,
                cython3,
                python3-aiosignal,
-               python3-aiodns,
+               python3-aiodns (>= 3.2.0),
                python3-attr,
                python3-frozenlist,
+               python3-aiohappyeyeballs,
 # for tests:
                python3-pytest,
                python3-pytest-mock,
