## python-aiohttp 3.10.10

=== debian/changelog ===
python-aiohttp (3.10.10-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 29 Oct 2024 12:17:05 +0100
