=== debian/control ===
--- 
+++ 
@@ -28,6 +28,10 @@
                python3-charset-normalizer,
                python3-gunicorn,
 # for documentation:
+               python-pytest-doc,
+               python-yarl-doc,
+               python3-alabaster,
+               python3-doc,
                python3-sphinxcontrib.blockdiag
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
