## python-aiohttp 3.10.11

=== debian/changelog ===
python-aiohttp (3.10.11-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:16:53 +0000

python-aiohttp (3.10.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - CVE-2024-52303: Fix system routes polluting the middleware cache
      (closes: #1088108).

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Dec 2024 00:23:32 +0000

python-aiohttp (3.10.10-2) unstable; urgency=medium

  * Team upload.
  * (Build-)depend on python3-yarl (>= 1.12.0) (closes: #1086658).

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Nov 2024 14:31:21 +0000
