=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-sphinx,
                python3-multidict,
                python3-async-timeout,
-               python3-yarl,
+               python3-yarl (>= 1.12.0),
                cython3,
                python3-aiosignal,
                python3-aiodns (>= 3.2.0),
