## python-aiohttp 3.11.15

=== debian/changelog ===
python-aiohttp (3.11.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Now requires a newer version of yarl.
  * Update patches.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Tue, 01 Apr 2025 11:18:04 +0100
