=== debian/changelog ===
python-aiohttp (3.11.16-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 05 Apr 2025 14:44:31 +0200
