=== debian/rules ===
--- 
+++ 
@@ -6,17 +6,30 @@
 export PYBUILD_TEST_ARGS={dir}/tests
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+# Work around https://bugs.debian.org/1051837
+egg_info := aiohttp.egg-info
+egg_info_safe := debian/aiohttp.egg-info.safe
+define save-egg-info =
+if [ ! -d $(egg_info_safe) ]; then cp -a $(egg_info) $(egg_info_safe); fi
+endef
+define restore-egg-info =
+if [ -d $(egg_info_safe) ]; then rm -rf $(egg_info); cp -a $(egg_info_safe) $(egg_info); fi
+endef
+
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem pybuild
 
 override_dh_auto_build:
-	sed -i -e '/sphinxcontrib.asyncio/d' -e '/aiohttp_theme/d' docs/conf.py
-	${MAKE} -C docs html || true
+	$(save-egg-info)
+	# Ignore missing references.
+	${MAKE} -C docs html SPHINXOPTS=
 	dh_auto_build
 
 override_dh_auto_clean:
 	rm -rf .cache
+	$(save-egg-info)
 	dh_auto_clean
+	$(restore-egg-info)
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='python3-aiohttp-dbg (<< 3.7.4-2~)'
