## python-aiohttp 3.12.15

=== debian/changelog ===
python-aiohttp (3.12.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - CVE-2025-53643: Fix request smuggling vulnerability (closes: #1109336).
  * Remove 'Rules-Requires-Root: no', now the default.
  * Refresh patches.

 -- Edward Betts <edward@4angle.com>  Fri, 26 Sep 2025 19:15:20 +0000
