=== debian/control ===
--- 
+++ 
@@ -33,7 +33,6 @@
                python3-alabaster,
                python3-doc,
                python3-sphinxcontrib.blockdiag
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://aiohttp.readthedocs.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiohttp.git
