=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	# Ignore missing references.
 	${MAKE} -C docs html SPHINXOPTS=
 	dh_auto_build
+	find . -type d -name '.hash' -exec rm -rf {} +
 
 override_dh_auto_clean:
 	rm -rf .cache
