## python-aiohttp 3.13.0

=== debian/changelog ===
python-aiohttp (3.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Add my name to Uploaders.
  * Enable test suite, but skip tests that fail.
  * Switch to Testsuite: autopkgtest-pkg-pybuild, so autopkgtest runs tests.
  * Add Build-Depends for python3-pytest-cov and python3-pytest-xdist, needed
    for tests.
  * Add <!nocheck> to test dependencies.
  * Add license information for vendor/llhttp to debian/copyright.
  * Update debian/watch to format version 5.

 -- Edward Betts <edward@4angle.com>  Thu, 09 Oct 2025 05:51:42 +0100
