=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,28 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME = aiohttp
-# enable pytest also here to make backports easier
-export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS={dir}/tests
+export PYBUILD_TEST_ARGS=--no-cov \
+    --ignore-glob=tests/test_benchmark* \
+    --ignore=tests/test_imports.py \
+    --ignore=tests/test_pytest_plugin.py \
+    --ignore=tests/test_client_session.py \
+    --ignore=tests/test_proxy_functional.py \
+    --ignore=tests/test_urldispatch.py \
+    --ignore=tests/test_web_response.py \
+    --ignore=tests/test_streams.py \
+    --ignore=tests/test_cookiejar.py \
+    --ignore=tests/test_web_functional.py \
+    --ignore=tests/test_connector.py \
+    --ignore=tests/test_web_sendfile_functional.py \
+    -k "not test_testcase_no_app and \
+        not test_static_file_directory_traversal_attack and \
+        not test_empty_body and \
+        not test_feed_eof_no_err_brotli and \
+        not test_http_response_parser_strict_obs_line_folding and \
+        not test_http_response_parser_strict_headers and \
+        not test_http_response_parser_bad_chunked_strict_py and \
+        not test_http_response_parser_bad_chunked_strict_c"
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Work around https://bugs.debian.org/1051837
@@ -34,8 +53,3 @@
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='python3-aiohttp-dbg (<< 3.7.4-2~)'
-
-override_dh_auto_test:
-	# disable tests for now:
-	# https://bugs.python.org/issue28634 needs to be fixed in Debian
-	# and tests patched to not access internet during build (see https://bugs.debian.org/830567)
